Subject: Forward: RFC 5719 on Updated IANA Considerations for Diameter Command Code Allocations

From: RFC Editor <[email-masked]>
Date: Tue, 23 Feb 2010 16:23:55 -0800

Greetings All,

Please note that we are resending this RFC announcement because were
notified that it did not appear in the ietf-announce archives. 	Please
note that the date of publication is January 2010.

Please let us know if you have any questions.

Thank you.

RFC Editor/sg

On Thu, Jan 07, 2010 at 04:53:27PM -0800, RFC Editor wrote:
> 
> A new Request for Comments is now available in online RFC libraries.
> 
>         
>         RFC 5719
> 
>         Title:      Updated IANA Considerations for Diameter 
>                     Command Code Allocations 
>         Author:     D. Romascanu, H. Tschofenig
>         Status:     Standards Track
>         Date:       January 2010
>         Mailbox:    [email-masked], 
>                     [email-masked]
>         Pages:      5
>         Characters: 11268
>         Updates:    RFC3588
> 
>         I-D Tag:    draft-ietf-dime-diameter-cmd-iana-01.txt
> 
>         URL:        http://www.rfc-editor.org/rfc/rfc5719.txt
> 
> The Diameter base specification, described in RFC 3588, provides a
> number of ways to extend Diameter, with new Diameter commands (i.e.,
> messages used by Diameter applications) and applications as the most
> extensive enhancements.  RFC 3588 illustrates the conditions that
> lead to the need to define a new Diameter application or a new
> command code.  Depending on the scope of the Diameter extension, IETF
> actions are necessary.  Although defining new Diameter applications
> does not require IETF consensus, defining new Diameter commands
> requires IETF consensus per RFC 3588.  This has led to questionable
> design decisions by other Standards Development Organizations, which
> chose to define new applications on existing commands -- rather than
> asking for assignment of new command codes -- for the pure purpose of
> avoiding bringing their specifications to the IETF.  In some cases,
> interoperability problems were an effect of the poor design caused by
> overloading existing commands.
> 
> This document aligns the extensibility rules of the Diameter
> application with the Diameter commands, offering ways to delegate
> work on Diameter to other SDOs to extend Diameter in a way that does
> not lead to poor design choices.  [STANDARDS TRACK]
> 
> This document is a product of the Diameter Maintanence and Extensions Working Group of the IETF.
> 
> This is now a Proposed Standard Protocol.
> 
> STANDARDS TRACK: This document specifies an Internet standards track
> protocol for the Internet community,and requests discussion and suggestions
> for improvements.  Please refer to the current edition of the Internet
> Official Protocol Standards (STD 1) for the standardization state and
> status of this protocol.  Distribution of this memo is unlimited.
> 
> This announcement is sent to the IETF-Announce and rfc-dist lists.
> To subscribe or unsubscribe, see
>   http://www.ietf.org/mailman/listinfo/ietf-announce
>   http://mailman.rfc-editor.org/mailman/listinfo/rfc-dist
> 
> For searching the RFC series, see http://www.rfc-editor.org/rfcsearch.html.
> For downloading RFCs, see http://www.rfc-editor.org/rfc.html.
> 
> Requests for special distribution should be addressed to either the
> author of the RFC in question, or to [email-masked].  Unless
> specifically noted otherwise on the RFC itself, all RFCs are for
> unlimited distribution.
> 
> 
> The RFC Editor Team
> Association Management Solutions, LLC
>